Subject: Re: bug#4511: 23.1; flyspell-mode slow editing near end of big html file

From: Stefan Monnier <[email-masked]>
Date: Fri, 16 Oct 2009 22:14:56 -0400

> But on the principle "why can't someone else do it", what about letting
> `sgml-lexical-context' determine the context.  Tested only briefly:

> (defun sgml-mode-flyspell-verify ()
>   "Function used for `flyspell-generic-check-word-predicate' in SGML mode."
>   (not (memq (car (sgml-lexical-context))
>              '(tag pi))))

> Seems fast enough for me, and I think it means CDATA text is checked,
> which I think would be desirable, but I'm not well up on that stuff.

If performance is good enough, then it's a very good option, indeed.

        Stefan